Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QCalendarWidget.VerticalHeaderFormat

    java.lang.Object
      java.lang.Enum<QCalendarWidget.VerticalHeaderFormat>
          com.trolltech.qt.gui.QCalendarWidget.VerticalHeaderFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QCalendarWidget.VerticalHeaderFormat>

Enclosing class:
  QCalendarWidget

    public static enum QCalendarWidget.VerticalHeaderFormat

extends java.lang.Enum<QCalendarWidget.VerticalHeaderFormat>
implements QtEnumerator

This enum type defines the various formats the vertical header can display.

See Also:
  `verticalHeaderFormat`, `HorizontalHeaderFormat`

Enum Constant Summary
`ISOWeekNumbers` The header displays a ISO week numbers `QDate::weekNumber`.
`NoVerticalHeader` The header is hidden.

Method Summary
`static QCalendarWidget.VerticalHeaderFormat` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCalendarWidget.VerticalHeaderFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QCalendarWidget.VerticalHeaderFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoVerticalHeader

    public static final QCalendarWidget.VerticalHeaderFormat NoVerticalHeader

  The header is hidden.

### ISOWeekNumbers

    public static final QCalendarWidget.VerticalHeaderFormat ISOWeekNumbers

  The header displays a ISO week numbers `QDate::weekNumber`.

Method Detail

### values

    public static final QCalendarWidget.VerticalHeaderFormat[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QCalendarWidget.VerticalHeaderFormat c : QCalendarWidget.VerticalHeaderFormat.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QCalendarWidget.VerticalHeaderFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCalendarWidget.VerticalHeaderFormat resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD